summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJason Stryker2018-07-10 14:14:33 -0400
committerJason Stryker2018-07-10 14:14:33 -0400
commit8bf3a30c04a2634730bcfa738f118cf9ac7a0904 (patch)
tree3a11f42dbc53f2d8dff8132eb8facc659352e511
parent963bb3d637a9d15848bcc7b0d019f58dbd5661f3 (diff)
downloadaur-8bf3a30c04a2634730bcfa738f118cf9ac7a0904.tar.gz
correct provides= for nvidia-utils and opencl-nvidia
-rw-r--r--.SRCINFO10
-rw-r--r--PKGBUILD16
2 files changed, 18 insertions, 8 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 3c114aec2ae..10121a7e4bf 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = nvidia-vulkan
pkgdesc = NVIDIA drivers for linux (vulkan developer branch)
pkgver = 396.24.02
- pkgrel = 5
+ pkgrel = 6
url = https://developer.nvidia.com/vulkan-driver
arch = x86_64
license = custom
@@ -50,10 +50,12 @@ pkgname = nvidia-vulkan-utils
optdepends = gtk3: nvidia-settings (GTK+ v3)
optdepends = xorg-server-devel: nvidia-xconfig
optdepends = opencl-nvidia-vulkan: OpenCL support
+ provides = nvidia-utils=396.24.02
provides = vulkan-driver
provides = opengl-driver
provides = nvidia-libgl
provides = nvidia-settings
+ conflicts = nvidia-utils
conflicts = nvidia-libgl
conflicts = nvidia-settings
replaces = nvidia-libgl
@@ -63,6 +65,8 @@ pkgname = opencl-nvidia-vulkan
depends = zlib
optdepends = opencl-headers: headers necessary for OpenCL development
provides = opencl-driver
+ provides = opencl-nvidia=396.24.02
+ conflicts = opencl-nvidia
pkgname = lib32-nvidia-vulkan-utils
pkgdesc = NVIDIA drivers utilities (32-bit)
@@ -71,9 +75,11 @@ pkgname = lib32-nvidia-vulkan-utils
depends = lib32-libglvnd
depends = nvidia-vulkan-utils
optdepends = lib32-opencl-nvidia-vulkan
+ provides = lib32-nvidia-utils=396.24.02
provides = lib32-vulkan-driver
provides = lib32-opengl-driver
provides = lib32-nvidia-libgl
+ conflicts = lib32-nvidia-utils
conflicts = lib32-nvidia-libgl
replaces = lib32-nvidia-libgl
@@ -83,4 +89,6 @@ pkgname = lib32-opencl-nvidia-vulkan
depends = lib32-gcc-libs
optdepends = opencl-headers: headers necessary for OpenCL development
provides = lib32-opencl-driver
+ provides = lib32-opencl-nvidia=396.24.02
+ conflicts = lib32-opencl-nvidia
diff --git a/PKGBUILD b/PKGBUILD
index 49efb8ce938..c2c1c76ae62 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -9,7 +9,7 @@ pkgbase=nvidia-vulkan
pkgname=('nvidia-vulkan' 'nvidia-vulkan-dkms' 'nvidia-vulkan-utils' 'opencl-nvidia-vulkan' 'lib32-nvidia-vulkan-utils' 'lib32-opencl-nvidia-vulkan')
pkgver=396.24.02
_extramodules=extramodules-4.17-ARCH
-pkgrel=5
+pkgrel=6
pkgdesc="NVIDIA drivers for linux (vulkan developer branch)"
arch=('x86_64')
url="https://developer.nvidia.com/vulkan-driver"
@@ -112,7 +112,8 @@ package_opencl-nvidia-vulkan() {
pkgdesc="OpenCL implemention for NVIDIA"
depends=('zlib')
optdepends=('opencl-headers: headers necessary for OpenCL development')
- provides=('opencl-driver')
+ provides=('opencl-driver' "opencl-nvidia=${pkgver}")
+ conflicts=('opencl-nvidia')
cd "${_pkg}"
# OpenCL
@@ -133,8 +134,8 @@ package_nvidia-vulkan-utils() {
'gtk3: nvidia-settings (GTK+ v3)'
'xorg-server-devel: nvidia-xconfig'
'opencl-nvidia-vulkan: OpenCL support')
- conflicts=('nvidia-libgl' 'nvidia-settings')
- provides=('vulkan-driver' 'opengl-driver' 'nvidia-libgl' 'nvidia-settings')
+ conflicts=('nvidia-utils' 'nvidia-libgl' 'nvidia-settings')
+ provides=("nvidia-utils=${pkgver}" 'vulkan-driver' 'opengl-driver' 'nvidia-libgl' 'nvidia-settings')
replaces=('nvidia-libgl')
install="nvidia-vulkan-utils.install"
@@ -257,7 +258,8 @@ package_lib32-opencl-nvidia-vulkan() {
pkgdesc="OpenCL implemention for NVIDIA (32-bit)"
depends=('lib32-zlib' 'lib32-gcc-libs')
optdepends=('opencl-headers: headers necessary for OpenCL development')
- provides=('lib32-opencl-driver')
+ provides=('lib32-opencl-driver' "lib32-opencl-nvidia=${pkgver}")
+ conflicts=('lib32-opencl-nvidia')
cd "${_pkg}"/32
@@ -275,8 +277,8 @@ package_lib32-nvidia-vulkan-utils() {
pkgdesc="NVIDIA drivers utilities (32-bit)"
depends=('lib32-zlib' 'lib32-gcc-libs' 'lib32-libglvnd' 'nvidia-vulkan-utils')
optdepends=('lib32-opencl-nvidia-vulkan')
- conflicts=('lib32-nvidia-libgl')
- provides=('lib32-vulkan-driver' 'lib32-opengl-driver' 'lib32-nvidia-libgl')
+ conflicts=('lib32-nvidia-utils' 'lib32-nvidia-libgl')
+ provides=("lib32-nvidia-utils=${pkgver}" 'lib32-vulkan-driver' 'lib32-opengl-driver' 'lib32-nvidia-libgl')
replaces=('lib32-nvidia-libgl')
cd "${_pkg}"/32